JUCE: TextDiff Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
TextDiff Class Reference
juce_core » text

Calculates and applies a sequence of changes to convert one text string into another. More...

`#include <juce_TextDiff.h>`

## Classes
struct | Change
| Describes a change, which can be either an insertion or deletion. More...

## Public Member Functions
| TextDiff (const String &original, const String &target)
| Creates a set of diffs for converting the original string into the target.
String | appliedTo (String text) const
| Applies this sequence of changes to the original string, producing the target string that was specified when generating them.

## Public Attributes
Array< Change > | changes
| The list of changes required to perform the transformation.

## Detailed Description

Calculates and applies a sequence of changes to convert one text string into another.

Once created, the TextDiff object contains an array of change objects, where each change can be either an insertion or a deletion. When applied in order to the original string, these changes will convert it to the target string.

## Constructor & Destructor Documentation

## ◆ TextDiff()

TextDiff::TextDiff | ( | const String & | original,
|  | const String & | target
| ) |  |

Creates a set of diffs for converting the original string into the target.

## Member Function Documentation

## ◆ appliedTo()

String TextDiff::appliedTo | ( | String | text | ) | const

Applies this sequence of changes to the original string, producing the target string that was specified when generating them.

Obviously it only makes sense to call this function with the string that was originally passed to the constructor. Any other input will produce an undefined result.

## Member Data Documentation

## ◆ changes

Array<Change> TextDiff::changes

The list of changes required to perform the transformation.

Applying each of these, in order, to the original string will produce the target.

The documentation for this class was generated from the following file:

- juce_TextDiff.h